{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


<!-- Favicon icon-->
<link rel="shortcut icon" type="image/x-icon" href="{% static 'images/favicon/favicon.ico' %}">


<!-- Libs CSS -->
<link href="{% static 'fonts/feather/feather.css' %}" rel="stylesheet" />
<link href="{% static 'libs/dragula/dist/dragula.min.css' %}" rel="stylesheet" />
<link href="{% static 'libs/@mdi/font/css/materialdesignicons.min.css' %}" rel="stylesheet" />
<link href="{% static 'libs/prismjs/themes/prism.css' %}" rel="stylesheet" />
<link href="{% static 'libs/dropzone/dist/dropzone.css' %}" rel="stylesheet" />
<link href="{% static 'libs/magnific-popup/dist/magnific-popup.css' %}" rel="stylesheet" />
<link href="{% static 'libs/bootstrap-select/dist/css/bootstrap-select.min.css' %}" rel="stylesheet">
<link href="{% static 'libs/@yaireo/tagify/dist/tagify.css' %}" rel="stylesheet">
<link href="{% static 'libs/tiny-slider/dist/tiny-slider.css' %}" rel="stylesheet">
<link href="{% static 'libs/tippy.js/dist/tippy.css' %}" rel="stylesheet">


<!-- Theme CSS -->
<link rel="stylesheet" href="{% static 'css/theme.min.css' %}">
  <title>Dashboard | Geeks - Academy Admin Template</title>
</head>

<body>
  <!-- Wrapper -->
  <div id="db-wrapper">
    <!-- Sidebar -->
    <nav class="navbar-vertical navbar">
      <div class="nav-scroller">
        <!-- Brand logo -->
        <a class="navbar-brand" href="../index.html"><img src="{% static 'images/brand/logo/logo-inverse.svg' %}" alt="" /></a>
        <!-- Navbar nav -->
        <ul class="navbar-nav flex-column" id="sideNavbar">
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link active" href="admin-dashboard.html">
              <i class="nav-icon fe fe-home mr-2"></i>Dashboard
            </a>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navCourses" aria-expanded="false"
              aria-controls="navCourses">
              <i class="nav-icon fe fe-book mr-2"></i>Courses
            </a>
            <div id="navCourses" class="collapse" data-parent="#sideNavbar">
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a class="nav-link" href="{% url 'displayCoursesAdmin' %}">All Courses  
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="{% url 'courseCategory' %}">Courses Category 
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#"> Category   
                    Single</a> 
                </li>
              </ul>
            </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navProfile" aria-expanded="false"
              aria-controls="navProfile">
              <i class="nav-icon fe fe-user mr-2"></i>User
            </a>
            <div id="navProfile" class="collapse " data-parent="#sideNavbar">
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a class="nav-link " href="{% url 'displayInstructors' %}">Instructors
                  </a>
                </li>
                <li class="nav-item ">
                  <a class="nav-link" href="{% url 'displayStudents' %}">Students</a>
                </li>
                <li class="nav-item ">
                  <a class="nav-link" href="{% url 'displayRequestsInstructor' %}">Requests Instructor</a>
                </li>
              </ul>
            </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navCMS" aria-expanded="false"
              aria-controls="navCMS">
              <i class="nav-icon fe fe-book-open mr-2"></i>CMS
            </a>
            <div id="navCMS" class="collapse " data-parent="#sideNavbar">
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a class="nav-link" href="admin-cms-overview.html">Overview
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="admin-cms-post.html">All Post
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="admin-cms-post-new.html">New Post
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="admin-cms-post-category.html"> Category</a>
                </li>
              </ul>
            </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navAuthentication" aria-expanded="false"
              aria-controls="navAuthentication">
              <i class="nav-icon fe fe-lock mr-2"></i>Authentication
            </a>
            <div id="navAuthentication" class="collapse " data-parent="#sideNavbar">
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a class="nav-link " href="sign-in.html">Sign In
                  </a>
                </li>
                <li class="nav-item ">
                  <a class="nav-link" href="sign-up.html">Sign Up</a>
                </li>
                <li class="nav-item ">
                  <a class="nav-link" href="forget-password.html"> Forget Password</a>
                </li>
                <li class="nav-item ">
                  <a class="nav-link" href="notification-history.html"> Notifications</a>
                </li>
                <li class="nav-item ">
                  <a class="nav-link" href="404-error.html"> 404 Error </a>
                </li>
              </ul>
            </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item ">
            <div class="nav-divider">
            </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item ">
            <div class="navbar-heading">Features </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link " href="#!">
              <i class="nav-icon fe fe-help-circle mr-2"></i>Help Center <span
                class="badge badge-success ml-2">Pro</span>
            </a>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navSiteSetting" aria-expanded="false"
              aria-controls="navSiteSetting">
              <i class="nav-icon fe fe-settings mr-2"></i>Site Setting
            </a>
            <div id="navSiteSetting" class="collapse" data-parent="#sideNavbar">
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a class="nav-link " href="setting-general.html">General
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link " href="setting-google.html">Google
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link " href="setting-social.html">Social
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link " href="setting-social-login.html"> Social Login
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link " href="setting-payment.html"> Payment
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link " href="setting-smpt.html"> SMPT
                  </a>
                </li>
              </ul>
            </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navMenuLevel" aria-expanded="false"
              aria-controls="navMenuLevel">
              <i class="nav-icon fe fe-corner-left-down mr-2"></i>Menu Level
            </a>
            <div id="navMenuLevel" class="collapse" data-parent="#sideNavbar">
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navMenuLevelSecond"
                    aria-expanded="false" aria-controls="navMenuLevelSecond">
                    Two Level
                  </a>
                  <div id="navMenuLevelSecond" class="collapse" data-parent="#navMenuLevel">
                    <ul class="nav flex-column">
                      <li class="nav-item">
                        <a class="nav-link " href="#!">NavItem 1
                        </a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link " href="#!">NavItem 2
                        </a>
                      </li>
                    </ul>
                  </div>
                </li>
                <li class="nav-item">
                  <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navMenuLevelThree"
                    aria-expanded="false" aria-controls="navMenuLevelThree">
                    Three Level
                  </a>
                  <div id="navMenuLevelThree" class="collapse" data-parent="#navMenuLevel">
                    <ul class="nav flex-column">
                      <li class="nav-item">
                        <a class="nav-link " href="#!" data-toggle="collapse" data-target="#navMenuLevelThreeOne"
                          aria-expanded="false" aria-controls="navMenuLevelThreeOne">NavItem 1
                        </a>
                        <div id="navMenuLevelThreeOne" class="collapse" data-parent="#navMenuLevelThree">
                          <ul class="nav flex-column">
                            <li class="nav-item">
                              <a class="nav-link " href="#!">NavChild Item 1
                              </a>
                            </li>
                          </ul>
                        </div>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link " href="#!">Nav Item 2
                        </a>
                      </li>
                    </ul>
                  </div>
                </li>
              </ul>
            </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item ">
            <div class="nav-divider">
            </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item ">
            <div class="navbar-heading">Documentation </div>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link" href="../docs/index.html">
              <i class="nav-icon fe fe-clipboard mr-2"></i>Documentation
            </a>
          </li>
          <!-- Nav item -->
          <li class="nav-item">
            <a class="nav-link" href="../docs/changelog.html">
              <i class="nav-icon fe fe-git-pull-request mr-2"></i>Changelog  <span class="badge badge-primary ml-2">1.0.1</span>
            </a>
          </li>
        </ul>
        <!-- Card -->
        <div class="card bg-dark-primary shadow-none text-center mx-4 my-8">
          <div class="card-body py-6">
            <img src="{% static 'images/background/giftbox.png' %}" alt="">
            <div class="mt-4">
              <h5 class="text-white">Unlimited Access</h5>
              <p class="text-white-50 font-size-xs">Upgrade your plan from a Free trial, to select ‘Business Plan’.
                Start Now </p>
              <a href="#!" class="btn btn-white btn-sm mt-2">Upgrade Now</a>
            </div>
          </div>
        </div>
      </div>
    </nav>
    <!-- sidebar -->
    <!-- Page Content -->
    <div id="page-content">
      <div class="header">
        <!-- navbar -->
        <nav class="navbar-default navbar navbar-expand-lg">
          <a id="nav-toggle" href="#!"><i class="fe fe-menu"></i></a>
          <div class="ml-lg-3 d-none d-md-none d-lg-block">
            <form class="d-flex align-items-center">
              <span class="position-absolute pl-3 search-icon">
                <i class="fe fe-search"></i>
              </span>
              <input type="search" class="form-control form-control-sm  pl-6" placeholder="Search Entire Dashboard" />
            </form>
          </div>
          <ul class="navbar-nav navbar-right-wrap ml-auto  d-flex nav-top-wrap ">
            <li class="dropdown stopevent">
              <a class="btn btn-light btn-icon rounded-circle indicator indicator-primary text-muted" href="#!"
                role="button" id="dropdownNotification" data-toggle="dropdown" aria-haspopup="true"
                aria-expanded="false">
                <i class="fe fe-bell"> </i>
              </a>
              <div class="dropdown-menu dropdown-menu-right dropdown-menu-lg  " aria-labelledby="dropdownNotification">
                  <div class="border-bottom px-3 pt-1 pb-3 align-items-center">
                    <span class="h5 mb-0">Notifications</span>
                    <a href="# " class="text-muted"><span class="align-middle"><i
                          class="fe fe-settings mr-1"></i></span></a>
                  </div>
                  <!-- List group -->
                  <ul class="list-group list-group-flush notification-list-scroll">
                    <!-- List group item -->
                    <li class="list-group-item bg-light">
                      <div class="row">
                        <div class="col">
                          <div class="d-flex">
                            <img src="{% static 'images/avatar/avatar-1.jpg' %}" alt="" class="avatar-md rounded-circle">
                            <div class="ml-3">
                              <h5 class="font-weight-bold mb-1">Kristin Watson:</h5>
                              <p class="mb-3">Krisitn Watsan like your comment on course
                                Javascript Introduction!
                              </p>
                              <span class=" font-size-xs text-muted">
                                <span><span class="fe fe-thumbs-up text-success mr-1"></span>2
                                  hours ago,</span>
                                <span class="ml-1">2:19 PM</span>
                              </span>
                            </div>
                          </div>
                          <a class="stretched-link" href="#!"></a>
                        </div>
                        <div class="col-auto text-center">
                          <a href="#!" class="badge-dot badge-info " data-toggle="tooltip" data-placement="top" title=""
                            data-original-title="Mark as read">
                          </a>
                          <div>
                            <a href="#!" class=" bg-transparent" data-toggle="tooltip" data-placement="top" title=""
                              data-original-title="Remove">
                              <i class="fe fe-x text-muted"></i>
                            </a>
                          </div>
                        </div>
                      </div>
                    </li>
                    <!-- list group item -->
                    <li class="list-group-item">
                      <div class="row">
                        <div class="col">
                          <div class="d-flex">
                            <img src="{% static 'images/avatar/avatar-2.jpg' %}" alt="" class="avatar-md rounded-circle">
                            <div class="ml-3">
                              <h5 class="font-weight-bold mb-1">Brooklyn Simmons</h5>
                              <p class="mb-3">Just launched a new Courses React for Beginner.</p>
                              <span class=" font-size-xs text-muted">
                                <span><span class="fe fe-thumbs-up text-success mr-1"></span>Oct 9,</span>
                                <span class="ml-1">1:20 PM</span>
                              </span>
                            </div>
                          </div>
                          <a class="stretched-link" href="#!"></a>
                        </div>
                        <div class="col-auto text-center">
                          <a href="#!" class="badge-dot badge-secondary" data-toggle="tooltip" data-placement="top"
                            title="" data-original-title="Mark as unread">
                          </a>
                        </div>
                      </div>
                    </li>
                    <!-- list group item -->
                    <li class="list-group-item">
                      <div class="row">
                        <div class="col">
                          <div class="d-flex">
                            <img src="{% static 'images/avatar/avatar-3.jpg' %}" alt="" class="avatar-md rounded-circle">
                            <div class="ml-3">
                              <h5 class="font-weight-bold mb-1">Jenny Wilson</h5>
                              <p class="mb-3">Krisitn Watsan like your comment on course Javascript Introduction!</p>
                              <span class=" font-size-xs text-muted">
                                <span><span class="fe fe-thumbs-up text-info mr-1"></span>Oct 9,</span>
                                <span class="ml-1">1:56 PM</span>
                              </span>
                            </div>
                          </div>
                          <a class="stretched-link" href="#!"></a>
                        </div>
                        <div class="col-auto text-center">
                          <a href="#!" class="badge-dot badge-secondary" data-toggle="tooltip" data-placement="top"
                            title="" data-original-title="Mark as unread">
                          </a>
                        </div>
                      </div>
                    </li>
                    <!-- list group item -->
                    <li class="list-group-item">
                      <div class="row">
                        <div class="col">
                          <div class="d-flex">
                            <img src="{% static 'images/avatar/avatar-4.jpg' %}" alt="" class="avatar-md rounded-circle">
                            <div class="ml-3">
                              <h5 class="font-weight-bold mb-1">Sina Ray</h5>
                              <p class="mb-3">You earn new certificate for complete the Javascript Beginner course.</p>
                              <span class=" font-size-xs text-muted">
                                <span><span class="fe fe-award text-warning mr-1"></span>Oct 9,</span>
                                <span class="ml-1">1:56 PM</span>
                              </span>
                            </div>
                          </div>
                          <a class="stretched-link" href="#!"></a>
                        </div>
                        <div class="col-auto text-center">
                          <a href="#!" class="badge-dot badge-secondary" data-toggle="tooltip" data-placement="top"
                            title="" data-original-title="Mark as unread">
                          </a>
                        </div>
                      </div>
                    </li>
                  </ul>
                  <div class="border-top px-3 pt-3 pb-0">
                    <a href="../pages/notification-history.html" class="text-muted">See all
                      Notifications</a>
                  </div>
              </div>
            </li>
            <li class="dropdown ml-2">
              <a class="rounded-circle " href="#!" role="button" id="dropdownUser" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">
                <div class="avatar avatar-md avatar-indicators avatar-online">
                  <img alt="avatar" src="{% static 'images/avatar/avatar-1.jpg' %}" class="rounded-circle">
                </div>
              </a>
              <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownUser">
                <div class="dropdown-item">
                  <div class="d-flex">
                    <div class="avatar avatar-md avatar-indicators avatar-online">
                      <img alt="avatar" src="{% static 'images/avatar/avatar-1.jpg' %}" class="rounded-circle">
                    </div>
                    <div class="ml-3 lh-1">
                      <h5 class="mb-1">{{request.user}}</h5>
                      <p class="mb-0 text-muted">{{request.user.email}}</p>
                    </div>
                  </div>
                </div>
                <div class="dropdown-divider"></div>
                <ul class="list-unstyled">
                  <li class="dropdown-submenu dropleft-lg">
                    <a class="dropdown-item dropdown-list-group-item dropdown-toggle" href="#!">
                      <i class="fe fe-circle mr-2"></i>Status
                    </a>
                    <ul class="dropdown-menu">
                      <li>
                        <a class="dropdown-item" href="#!">
                          <span class="badge-dot bg-success mr-2"></span>Online
                        </a>
                      </li>
                      <li>
                        <a class="dropdown-item" href="#!">
                          <span class="badge-dot bg-secondary mr-2"></span>Offline
                        </a>
                      </li>
                      <li>
                        <a class="dropdown-item" href="#!">
                          <span class="badge-dot bg-warning mr-2"></span>Away
                        </a>
                      </li>
                      <li>
                        <a class="dropdown-item" href="#!">
                          <span class="badge-dot bg-danger mr-2"></span>Busy
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li>
                    <a class="dropdown-item" href="../pages/profile-edit.html">
                      <i class="fe fe-user mr-2"></i>Profile
                    </a>
                  </li>
                  <li>
                    <a class="dropdown-item" href="../pages/student-subscriptions.html">
                      <i class="fe fe-star mr-2"></i>Subscription
                    </a>
                  </li>
                  <li>
                    <a class="dropdown-item" href="#!">
                      <i class="fe fe-settings mr-2"></i>Settings
                    </a>
                  </li>
                </ul>
                <div class="dropdown-divider"></div>
                <ul class="list-unstyled">
                  <li>
                    <a class="dropdown-item" href="../index.html">
                      <i class="fe fe-power mr-2"></i>Sign Out
                    </a>
                  </li>
                </ul>
              </div>
            </li>
          </ul>
        </nav>
      </div>
      <!-- Page Header -->
      <!-- Container fluid -->
      <div class="container-fluid p-4">
          <div class="row">
            <div class="col-lg-12 col-md-12 col-12">
              <div class="border-bottom pb-4 mb-4 d-lg-flex justify-content-between align-items-center">
                <div>
                  <h1 class="mb-0 h2 font-weight-bold">Dashboard</h1>
                </div>
                <div class="d-flex">
                  <div class="input-group mr-3">
                    <input class="form-control flatpickr" type="text" placeholder="Select Date"
                      aria-describedby="basic-addon2">
                    <div class="input-group-append input-button">
                      <span class="input-group-text text-muted" id="basic-addon2"><i class="fe fe-calendar"></i></span>
                    </div>
                  </div>
                  <a href="#!" class="btn btn-primary">Setting</a>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-xl-3 col-lg-6 col-md-12 col-12">
              <!-- Card -->
              <div class="card mb-4">
                <!-- Card body -->
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between mb-3 lh-1">
                    <div>
                      <span class="font-size-xs text-uppercase font-weight-semi-bold">Sales</span>
                    </div>
                    <div>
                      <span class="fe fe-shopping-bag font-size-lg text-primary"></span>
                    </div>
                  </div>
                  <h2 class="font-weight-bold mb-1">
                    $10,800
                  </h2>
                  <span class="text-success font-weight-semi-bold"><i class="fe fe-trending-up mr-1"></i>+20.9$</span>
                  <span class="ml-1 font-weight-medium">Number of sales</span>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-lg-6 col-md-12 col-12">
              <!-- Card -->
              <div class="card mb-4">
                <!-- Card body -->
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between mb-3 lh-1">
                    <div>
                      <span class="font-size-xs text-uppercase font-weight-semi-bold">Courses</span>
                    </div>
                    <div>
                      <span class=" fe fe-book-open font-size-lg text-primary"></span>
                    </div>
                  </div>
                  <h2 class="font-weight-bold mb-1">
                    2,456
                  </h2>
                  <span class="text-danger font-weight-semi-bold">120+</span>
                  <span class="ml-1 font-weight-medium">Number of pending</span>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-lg-6 col-md-12 col-12">
              <!-- Card -->
              <div class="card mb-4">
                <!-- Card body -->
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between mb-3 lh-1">
                    <div>
                      <span class="font-size-xs text-uppercase font-weight-semi-bold">Students</span>
                    </div>
                    <div>
                      <span class=" fe fe-users font-size-lg text-primary"></span>
                    </div>
                  </div>
                  <h2 class="font-weight-bold mb-1">
                    1,22,456
                  </h2>
                  <span class="text-success font-weight-semi-bold"><i class="fe fe-trending-up mr-1"></i>+1200</span>
                  <span class="ml-1 font-weight-medium">Students</span>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-lg-6 col-md-12 col-12">
              <!-- Card -->
              <div class="card mb-4">
                <!-- Card body -->
                <div class="card-body">
                  <div class="d-flex align-items-center justify-content-between mb-3 lh-1">
                    <div>
                      <span class="font-size-xs text-uppercase font-weight-semi-bold">Instructor</span>
                    </div>
                    <div>
                      <span class=" fe fe-user-check font-size-lg text-primary"></span>
                    </div>
                  </div>
                  <h2 class="font-weight-bold mb-1">
                    22,786
                  </h2>
                  <span class="text-success font-weight-semi-bold"><i class="fe fe-trending-up mr-1"></i>+200</span>
                  <span class="ml-1 font-weight-medium">Instructor</span>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-xl-8 col-lg-12 col-md-12 col-12">
              <!-- Card -->
              <div class="card mb-4">
                <!-- Card header -->
                <div class="card-header align-items-center card-header-height d-flex justify-content-between align-items-center">
                  <div>
                    <h4 class="mb-0">Earnings</h4>
                  </div>
                  <div>
                    <div class="dropdown dropleft">
                      <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown1"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fe fe-more-vertical"></i>
                      </a>
                      <div class="dropdown-menu" aria-labelledby="courseDropdown1">
                        <span class="dropdown-header">Settings</span>
                        <a class="dropdown-item" href="#!"><i
                            class="fe fe-external-link dropdown-item-icon "></i>Export</a>
                        <a class="dropdown-item" href="#!"><i class="fe fe-mail dropdown-item-icon "></i>Email
                          Report</a>
                        <a class="dropdown-item" href="#!"><i
                            class="fe fe-download dropdown-item-icon "></i>Download</a>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- Card body -->
                <div class="card-body">
                  <!-- Earning chart -->
                  <div id="earning" class="apex-charts"></div>
                </div>
              </div>
            </div>
            <div class="col-xl-4 col-lg-12 col-md-12 col-12">
              <!-- Card -->
              <div class="card mb-4">
                <!-- Card header -->
                <div class="card-header align-items-center card-header-height  d-flex justify-content-between align-items-center">
                  <div>
                    <h4 class="mb-0">Traffic</h4>
                  </div>
                  <div>
                    <div class="dropdown dropleft">
                      <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown2"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fe fe-more-vertical"></i>
                      </a>
                      <div class="dropdown-menu" aria-labelledby="courseDropdown2">
                        <span class="dropdown-header">Settings</span>
                        <a class="dropdown-item" href="#!"><i
                            class="fe fe-external-link dropdown-item-icon "></i>Export</a>
                        <a class="dropdown-item" href="#!"><i class="fe fe-mail dropdown-item-icon "></i>Email
                          Report</a>
                        <a class="dropdown-item" href="#!"><i
                            class="fe fe-download dropdown-item-icon "></i>Download</a>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- Card body -->
                <div class="card-body">
                  <div id="traffic" class="apex-charts d-flex justify-content-center"></div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-xl-4 col-lg-6 col-md-12 col-12 mb-4">
              <!-- Card -->
              <div class="card h-100">
                <!-- Card header -->
                <div class="card-header d-flex align-items-center
                              justify-content-between card-header-height">
                  <h4 class="mb-0">Popular Instructor</h4>
                  <a href="#!" class="btn btn-outline-white btn-sm">View all</a>
                </div>
                <!-- Card body -->
                <div class="card-body">
                  <!-- List group -->
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item px-0 pt-0 ">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-offline">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-1.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">Rob Percival</h4>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">42</span>Courses</span>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">1,10,124</span>Students</span>
                          <span class="font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">32,000</span>
                            Reviews
                          </span>
                        </div>
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown7"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown7">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>

                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0 ">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-online">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-2.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">Jose Portilla</h4>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">12</span>Courses</span>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">21,567</span>Students</span>
                          <span class="font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">22,000
                            </span> Reviews
                          </span>
                        </div>
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown8"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown8">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>

                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0 ">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-away">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-3.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">Eleanor Pena</h4>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">32</span>Courses</span>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">11,604</span>Students</span>
                          <span class="font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">12,230
                            </span> Reviews
                          </span>
                        </div>
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown9"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown9">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>

                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0 ">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-info">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-6.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">March Delson</h4>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">23</span>Courses</span>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">6,304</span>Students</span>
                          <span class="font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">56,000</span>
                            Reviews
                          </span>
                        </div>
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown10"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown10">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>

                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0 ">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-busy">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-7.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">Sina Ray</h4>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">14</span>Courses</span>
                          <span class="mr-2 font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">8,000</span>Students</span>
                          <span class="font-size-xs">
                            <span class="text-dark  mr-1 font-weight-semi-bold">33,000</span>
                            Reviews
                          </span>
                        </div>
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown11"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown11">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>

                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="col-xl-4 col-lg-6 col-md-12 col-12 mb-4">
              <!-- Card -->
              <div class="card h-100">
                <!-- Card header -->
                <div class="card-header d-flex align-items-center
                              justify-content-between card-header-height">
                  <h4 class="mb-0">Recent Courses</h4>
                  <a href="#!" class="btn btn-outline-white btn-sm">View all</a>
                </div>
                <!-- Card body -->
                <div class="card-body">
                  <!-- List group flush -->
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item px-0 pt-0">
                      <div class="row">
                        <!-- Col -->
                        <div class="col-auto">
                          <a href="#!">
                            <img src="{% static 'images/course/course-laravel.jpg' %}" alt=""
                              class="img-fluid rounded img-4by3-lg" /></a>
                        </div>
                        <!-- Col -->
                        <div class="col pl-0">
                          <a href="#!">
                            <h5 class="text-primary-hover">
                              Revolutionize how you build the web...
                            </h5>
                          </a>
                          <div class="d-flex align-items-center">
                            <img src="{% static 'images/avatar/avatar-7.jpg' %}" alt="" class="rounded-circle avatar-xs mr-2" />
                            <span class="font-size-xs">Brooklyn Simmons</span>
                          </div>
                        </div>
                        <!-- Col auto -->
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown3"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown3">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i
                                  class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>
                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0">
                      <div class="row">
                        <div class="col-auto">
                          <a href="#!"><img src="{% static 'images/course/course-gatsby.jpg' %}" alt=""
                              class="img-fluid rounded img-4by3-lg" /></a>
                        </div>
                        <div class="col pl-0">
                          <a href="#!">
                            <h5 class="text-primary-hover">
                              Guide to Static Sites with Gatsby.js
                            </h5>
                          </a>
                          <div class="d-flex align-items-center">
                            <img src="{% static 'images/avatar/avatar-8.jpg' %}" alt="" class="rounded-circle avatar-xs mr-2" />
                            <span class="font-size-xs">Jenny Wilson</span>
                          </div>
                        </div>
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown4"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown4">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i
                                  class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>
                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0">
                      <div class="row">
                        <div class="col-auto">
                          <a href="#!">
                            <img src="{% static 'images/course/course-javascript.jpg' %}" alt=""
                              class="img-fluid rounded img-4by3-lg" /></a>
                        </div>
                        <div class="col pl-0">
                          <a href="#!">
                            <h5 class="text-primary-hover">The Modern JavaScript Courses
                            </h5>
                          </a>
                          <div class="d-flex align-items-center">
                            <img src="{% static 'images/avatar/avatar-1.jpg' %}" alt="" class="rounded-circle avatar-xs mr-2" />
                            <span class="font-size-xs">Guy Hawkins</span>
                          </div>
                        </div>
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown5"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown5">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i
                                  class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>
                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0">
                      <div class="row">
                        <div class="col-auto">
                          <a href="#!">
                            <img src="{% static 'images/course/course-wordpress.jpg' %}" alt=""
                              class="img-fluid rounded img-4by3-lg" /></a>
                        </div>
                        <div class="col pl-0">
                          <a href="#!">
                            <h5 class="text-primary-hover">
                              Online WordPress Courses Become an Expert Today‎
                            </h5>
                          </a>
                          <div class="d-flex align-items-center">
                            <img src="{% static 'images/avatar/avatar-5.jpg' %}" alt="" class="rounded-circle avatar-xs mr-2" />
                            <span class="font-size-xs">Robert Fox</span>
                          </div>
                        </div>
                        <div class="col-auto">
                          <span class="dropdown dropleft">
                            <a class="text-muted text-decoration-none" href="#!" role="button" id="courseDropdown6"
                              data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <i class="fe fe-more-vertical"></i>
                            </a>
                            <span class="dropdown-menu" aria-labelledby="courseDropdown6">
                              <span class="dropdown-header">Settings</span>
                              <a class="dropdown-item" href="#!"><i class="fe fe-edit dropdown-item-icon "></i>Edit</a>
                              <a class="dropdown-item" href="#!"><i
                                  class="fe fe-trash dropdown-item-icon "></i>Remove</a>
                            </span>
                          </span>
                        </div>
                      </div>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
            <div class="col-xl-4 col-lg-12 col-md-12 col-12 mb-4">
              <!-- Card -->
              <div class="card h-100">
                <!-- Card header -->
                <div class="card-header card-header-height d-flex align-items-center">
                  <h4 class="mb-0">Activity
                  </h4>
                </div>
                <!-- Card body -->
                <div class="card-body">
                  <!-- List group -->
                  <ul class="list-group list-group-flush list-timeline-activity">
                    <li class="list-group-item px-0 pt-0 border-0 mb-2">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-online">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-6.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">Dianna Smiley</h4>
                          <p class="mb-1">Just buy the courses”Build React Application Tutorial”</p>
                          <span class="font-size-xs">2m ago</span>
                        </div>
                      </div>
                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0 pt-0  border-0 mb-2">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-offline">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-7.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">
                            Irene Hargrove
                          </h4>
                          <p class="mb-1">Comment on “Bootstrap Tutorial” Says “Hi,I m irene...</p>
                          <span class="font-size-xs">1 hour ago</span>
                        </div>
                      </div>
                    </li>
                    <!-- List group -->
                    <li class="list-group-item px-0 pt-0  border-0 mb-2">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-busy">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-4.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">Trevor Bradle</h4>
                          <p class="mb-1">Just share your article on Social Media..</p>
                          <span class="font-size-xs">2 month ago</span>
                        </div>
                      </div>
                    </li>
                    <li class="list-group-item px-0 pt-0 border-0">
                      <div class="row">
                        <div class="col-auto">
                          <div class="avatar avatar-md avatar-indicators avatar-away">
                            <img alt="avatar" src="{% static 'images/avatar/avatar-1.jpg' %}" class="rounded-circle">
                          </div>
                        </div>
                        <div class="col ml-n3">
                          <h4 class="mb-0 h5">John Deo</h4>
                          <p class="mb-1">Just buy the courses”Build React Application Tutorial”</p>
                          <span class="font-size-xs">2m ago</span>
                        </div>
                      </div>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
    </div>
  </div>
  <!-- Script -->
<!-- Scripts -->
<script src="{% static 'libs/jquery/dist/jquery.min.js' %}"></script>
<script src="{% static 'libs/bootstrap/dist/js/bootstrap.bundle.min.js' %}"></script>
<script src="{% static 'libs/odometer/odometer.min.js' %}"></script>
<script src="{% static 'libs/jquery-slimscroll/jquery.slimscroll.min.js' %}"></script>
<script src="{% static 'libs/magnific-popup/dist/jquery.magnific-popup.min.js' %}"></script>
<script src="{% static 'libs/bootstrap-select/dist/js/bootstrap-select.min.js' %}"></script>
<script src="{% static 'libs/flatpickr/dist/flatpickr.min.js' %}"></script>
<script src="{% static 'libs/inputmask/dist/jquery.inputmask.min.js' %}"></script>
<script src="{% static 'libs/apexcharts/dist/apexcharts.min.js' %}"></script>
<script src="{% static 'libs/quill/dist/quill.min.js' %}"></script>
<script src="{% static 'libs/file-upload-with-preview/dist/file-upload-with-preview.min.js' %}"></script>
<script src="{% static 'libs/dragula/dist/dragula.min.js' %}"></script>
<script src="{% static 'libs/bs-stepper/dist/js/bs-stepper.min.js' %}"></script>
<script src="{% static 'libs/dropzone/dist/min/dropzone.min.js' %}"></script>
<script src="{% static 'libs/jQuery.print/jQuery.print.js' %}"></script>
<script src="{% static 'libs/prismjs/prism.js' %}"></script>
<script src="{% static 'libs/prismjs/components/prism-scss.min.js' %}"></script>
<script src="{% static 'libs/@yaireo/tagify/dist/tagify.min.js' %}"></script>
<script src="{% static 'libs/tiny-slider/dist/min/tiny-slider.js' %}"></script>
<script src="{% static 'libs/@popperjs/core/dist/umd/popper.min.js' %}"></script>
<script src="{% static 'libs/tippy.js/dist/tippy-bundle.umd.min.js' %}"></script>
<script src="{% static 'libs/typed.js/lib/typed.min.js' %}"></script>


<!-- clipboard -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/1.5.12/clipboard.min.js"></script>

<!-- Theme JS -->
<script src="{% static 'js/theme.min.js' %}"></script>

</body>

</html>